#{extends 'borderNG.html' /}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'utility.home'}</a></li>
	<li class="active">&{'utility.konfig_tgl'}</li>
</ul>
<div class="content">
    <div class="bs-callout bs-callout-warning">
        <i class="fa fa-info-circle"></i><strong> &{'utility.alert_update'}</strong>
    </div>
    #{alert /}
	#{form @admin.UtilityCtr.updateTanggalUpdateLpse()}
        <input type="hidden" value="${us?.id}" name="id"/>
        #{if us != null}
            <div class="form-group row">
                <label class="col-2 col-form-label">Tanggal Update<span class="warning"> *</span></label>
                <div class="col-4">
                    <div class="input-group date datetimepicker">
                        <input name="waktu" type="text" value="${us?.update_date?.toDatetimepicker()}" class="form-control datetimepicker"/>
                        <div class="input-group-append">
                            <span class="input-group-text"><i class="fa fa-calendar"></i></span>
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group row">
                <div class="checkbox col-sm-offset-2 col-sm-10">
                    <label><input class="form-group" id="chck-backup" type="checkbox" name="do_backup" ${us?.do_backup ? 'checked' : ''} />
                        &{'utility.backup_db'}</label>
                </div>
            </div>
        #{/if}
        <div class="form-group row">
            <div class="col-2"></div>
            <div class="col-4">
                #{if us != null}
                    <input type="submit" value="Simpan" class="btn btn-success">
                #{/if}
                #{else}
                    <a href="@{controllers.admin.UtilityCtr.checkUpdate()}" class="btn btn-success">{'utility.cek_update'}</a>
                #{/else}
                <a href="@{controllers.BerandaCtr.index()}" class="btn btn-warning">{'utility.kembali'}</a>
            </div>
        </div>
	#{/form}
</div>

<!-- MODAL BACKUP CONFIRM -->
<div class="modal fade" tabindex="-1" role="dialog" aria-labelledby="chck-backup" aria-hidden="true" id="uc-modal">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="myModalLabel">&{'utility.konfirmasi'}</h4>
            </div>
            <div class="modal-body">
              &{'utility.alert_backup'}
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" id="modal-btn-no">&{'utility.batal'}</button>
                <button type="button" class="btn btn-default" id="modal-btn-yes">&{'utility.alert_yes'}</button>
            </div>
        </div>
    </div>
</div>

#{set 'custom_script'}
<script type="text/javascript">
    var modalConfirm = function(callback){

        $("#chck-backup").on("click", function(){
            if(!$(this).is(":checked")) {
                $("#uc-modal").modal({backdrop: 'static', keyboard: false});
            }
        });

        $("#modal-btn-yes").on("click", function(){
            callback(true);
            $("#uc-modal").modal('hide');
        });

        $("#modal-btn-no").on("click", function(){
            callback(false);
            $("#uc-modal").modal('hide');
        });
    };

    modalConfirm(function(confirm){
        if(!confirm){
            $("#chck-backup").prop('checked', true);
        }
    });
</script>
#{/set}